# exception.h File Reference

Exceptions. More...

`#include <stdexcept>`
`#include "string_decl.h"`

Go to the source code of this file.

## Namespaces

namespace | synfig
namespace | synfig::Exception

## Classes

class | synfig::Exception::BadLinkName
class | synfig::Exception::BadType
class | synfig::Exception::IDAlreadyExists
class | synfig::Exception::NotFound
class | synfig::Exception::IDNotFound
class | synfig::Exception::FileNotFound
class | synfig::Exception::BadTime
class | synfig::Exception::BadFrameRate

## Detailed Description

Exceptions.

$Id$